@import url("https://fonts.googleapis.com/css?family=Montserrat&display=swap");

body {
  font-family: "Montserrat", sans-serif;
  background: rgba(218, 234, 240, 0.274);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Utility classes */

.d-flex {
  display: flex;
}

.d-flex-center {
  justify-content: center;
  align-items: center;
}

.d-flex-between {
  justify-content: space-between;
}

.d-flex-column {
  flex-direction: column;
}

.mb-1 {
  margin-bottom: 0.5rem;
}

.mb-2 {
  margin-bottom: 1rem;
}

.mb-3 {
  margin-bottom: 1.5rem;
}

.mt-3 {
  margin-top: 1.5rem;
}

/* Components */

.btn {
  font-family: inherit;
  font-size: 1.2rem;
  cursor: pointer;
  outline: none;
  padding: 0.5rem 0.2rem;
  border: 1px solid rgba(133, 241, 32, 0.164);
  border-radius: 5px;
  background: #00000018;
}
.btn:hover {
  background: #55555518;
}

.todoForm {
  min-width: 500px;
  border: 1px solid rgba(86, 255, 1, 0.055);
  box-shadow: 0px 2px 2px 1px rgba(0, 0, 0, 0.1);
  padding: 1rem;
}
.todoContainer {
  position:relative;
}
.todoItem {
  min-width: 500px;
  list-style: none;
  padding: 1rem;
  border: none;
  margin-bottom: 1rem;
  box-shadow: 0px 2px 1px 1px rgba(0, 0, 0, 0.1);
}

#todo {
  padding: 0.5rem;
  outline: none;
}

/* Icons */

.fa-thumbs-up {
  cursor: pointer;
  color: green;
}
.fa-thumbs-up:hover {
  cursor: pointer;
  color: rgba(0, 128, 0, 0.774);
}

.fa-trash {
  cursor: pointer;
  color: rgb(211, 9, 9);
}
.fa-trash:hover {
  cursor: pointer;
  color: rgba(158, 12, 12, 0.774);
}

.completed {
  color: green;
  text-decoration: line-through;
}

.completedItem {
  background: rgba(0, 128, 0, 0.2);
}

.noneCompletedItem {
  background: rgba(255, 0, 0, 0.2);
}

.notComplete {
  display: inline-block;
  animation-name: completeMe;
  animation-duration: 1s;
  animation-direction: normal;
  animation-iteration-count: infinite;
}

@keyframes completeMe {
  from {
    transform: scale(0.65);
  }
  50% {
    transform: scale(0.7);
  }
  to {
    transform: scale(0.65);
  }
}

.yeahCompleted {
  display:inline-block;
  animation-name: completed;
  animation-duration: 1.5s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes completed {
  from {
    transform: scale(.4);
  }
  to {
    transform: scale(.7);
  }
}
/* Transitions */

.animate-enter,
.animate-leave-to {
  opacity: 0.3;
  transform: translateX(-100px);
}

.animate-enter-active,
.animate-leave-active {
  transition: all 0.2s ease-in-out;
  position: absolute;
}

.animate-enter-to,
.animate-leave {
  opacity: 1;
  transform: translateX(0px);
}

.animate-move {
  transition: .2s;
}


.fa-arrow-left:hover,
.fa-arrow-right:hover {
  cursor:pointer;
  transform: scale(1.2);
}

[v-cloak] {
  visibility: hidden;
}